List requested supply
curl --request GET \
--url https://api.interchange.io/api/v2/supply-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/supply-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/supply-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"generatedAt": "<string>",
"matchedCustomer": {
"name": "<string>",
"match": "customer_id"
},
"items": [
{
"domain": "<string>",
"channel": "<string>",
"trackingSource": "explicit",
"removable": true,
"market": "<string>",
"desiredSupply": "<string>",
"publicStatus": {
"key": "tracked",
"label": "<string>",
"description": "<string>",
"asOf": "<string>"
},
"customerNeed": {
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
],
"total": 4503599627370495,
"returnedCount": 4503599627370495,
"truncated": true,
"hasMore": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Supply Requests
List requested supply
List the authenticated customer’s platform-scoped requested supply from DemandContext. A Linear customer association is optional and is not required for this operation.
GET
/
supply-requests
List requested supply
curl --request GET \
--url https://api.interchange.io/api/v2/supply-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/supply-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/supply-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"generatedAt": "<string>",
"matchedCustomer": {
"name": "<string>",
"match": "customer_id"
},
"items": [
{
"domain": "<string>",
"channel": "<string>",
"trackingSource": "explicit",
"removable": true,
"market": "<string>",
"desiredSupply": "<string>",
"publicStatus": {
"key": "tracked",
"label": "<string>",
"description": "<string>",
"asOf": "<string>"
},
"customerNeed": {
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
],
"total": 4503599627370495,
"returnedCount": 4503599627370495,
"truncated": true,
"hasMore": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Required range:
1 <= x <= 250Response
List requested supply
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991